+keyframes(spinner)
  from
    +transform(rotate(0deg))

  to
    +transform(rotate(360deg))

.spinner
  position: relative
  min-width: 30px
  min-height: 30px

.spinner:before
  content: 'Loading…'
  position: absolute
  top: 50%
  left: 50%
  width: 24px
  height: 24px
  margin-top: -13px
  margin-left: -13px

.spinner:not(:required):before
  content: ''
  border-radius: 50%
  border: 1px solid #ccc
  border-top-color: #03ade0
  +animation(spinner .6s linear infinite)
